published on Thursday, May 7, 2026 by rootlyhq
published on Thursday, May 7, 2026 by rootlyhq
Example Usage
resource "rootly_incident_sub_status" "investigating" {
incident_id = data.rootly_incident.outage.id
sub_status_id = rootly_sub_status.investigating.id
assigned_at = "2026-06-01T00:00:00Z"
}
Create IncidentSubStatus Resource
Resources are created with functions called constructors. To learn more about declaring and configuring resources, see Resources.
Constructor syntax
new IncidentSubStatus(name: string, args: IncidentSubStatusArgs, opts?: CustomResourceOptions);@overload
def IncidentSubStatus(resource_name: str,
args: IncidentSubStatusArgs,
opts: Optional[ResourceOptions] = None)
@overload
def IncidentSubStatus(resource_name: str,
opts: Optional[ResourceOptions] = None,
assigned_at: Optional[str] = None,
sub_status_id: Optional[str] = None,
assigned_by_user_id: Optional[int] = None,
incident_id: Optional[str] = None)func NewIncidentSubStatus(ctx *Context, name string, args IncidentSubStatusArgs, opts ...ResourceOption) (*IncidentSubStatus, error)public IncidentSubStatus(string name, IncidentSubStatusArgs args, CustomResourceOptions? opts = null)
public IncidentSubStatus(String name, IncidentSubStatusArgs args)
public IncidentSubStatus(String name, IncidentSubStatusArgs args, CustomResourceOptions options)
type: rootly:IncidentSubStatus
properties: # The arguments to resource properties.
options: # Bag of options to control resource's behavior.
Parameters
- name string
- The unique name of the resource.
- args IncidentSubStatusArgs
- The arguments to resource properties.
- opts CustomResourceOptions
- Bag of options to control resource's behavior.
- resource_name str
- The unique name of the resource.
- args IncidentSubStatusArgs
- The arguments to resource properties.
- opts ResourceOptions
- Bag of options to control resource's behavior.
- ctx Context
- Context object for the current deployment.
- name string
- The unique name of the resource.
- args IncidentSubStatusArgs
- The arguments to resource properties.
- opts ResourceOption
- Bag of options to control resource's behavior.
- name string
- The unique name of the resource.
- args IncidentSubStatusArgs
- The arguments to resource properties.
- opts CustomResourceOptions
- Bag of options to control resource's behavior.
- name String
- The unique name of the resource.
- args IncidentSubStatusArgs
- The arguments to resource properties.
- options CustomResourceOptions
- Bag of options to control resource's behavior.
Constructor example
The following reference example uses placeholder values for all input properties.
var incidentSubStatusResource = new Rootly.IncidentSubStatus("incidentSubStatusResource", new()
{
AssignedAt = "string",
SubStatusId = "string",
AssignedByUserId = 0,
IncidentId = "string",
});
example, err := rootly.NewIncidentSubStatus(ctx, "incidentSubStatusResource", &rootly.IncidentSubStatusArgs{
AssignedAt: pulumi.String("string"),
SubStatusId: pulumi.String("string"),
AssignedByUserId: pulumi.Int(0),
IncidentId: pulumi.String("string"),
})
var incidentSubStatusResource = new IncidentSubStatus("incidentSubStatusResource", IncidentSubStatusArgs.builder()
.assignedAt("string")
.subStatusId("string")
.assignedByUserId(0)
.incidentId("string")
.build());
incident_sub_status_resource = rootly.IncidentSubStatus("incidentSubStatusResource",
assigned_at="string",
sub_status_id="string",
assigned_by_user_id=0,
incident_id="string")
const incidentSubStatusResource = new rootly.IncidentSubStatus("incidentSubStatusResource", {
assignedAt: "string",
subStatusId: "string",
assignedByUserId: 0,
incidentId: "string",
});
type: rootly:IncidentSubStatus
properties:
assignedAt: string
assignedByUserId: 0
incidentId: string
subStatusId: string
IncidentSubStatus Resource Properties
To learn more about resource properties and how to use them, see Inputs and Outputs in the Architecture and Concepts docs.
Inputs
In Python, inputs that are objects can be passed either as argument classes or as dictionary literals.
The IncidentSubStatus resource accepts the following input properties:
- Assigned
At string - Sub
Status stringId - Note: To change an incident's sub-status, use the PATCH /incidents/:id endpoint and set the substatusid attribute. This endpoint is for modifying the timestamp of when an incident's sub-status was assigned.
- Assigned
By intUser Id - Incident
Id string
- Assigned
At string - Sub
Status stringId - Note: To change an incident's sub-status, use the PATCH /incidents/:id endpoint and set the substatusid attribute. This endpoint is for modifying the timestamp of when an incident's sub-status was assigned.
- Assigned
By intUser Id - Incident
Id string
- assigned
At String - sub
Status StringId - Note: To change an incident's sub-status, use the PATCH /incidents/:id endpoint and set the substatusid attribute. This endpoint is for modifying the timestamp of when an incident's sub-status was assigned.
- assigned
By IntegerUser Id - incident
Id String
- assigned
At string - sub
Status stringId - Note: To change an incident's sub-status, use the PATCH /incidents/:id endpoint and set the substatusid attribute. This endpoint is for modifying the timestamp of when an incident's sub-status was assigned.
- assigned
By numberUser Id - incident
Id string
- assigned_
at str - sub_
status_ strid - Note: To change an incident's sub-status, use the PATCH /incidents/:id endpoint and set the substatusid attribute. This endpoint is for modifying the timestamp of when an incident's sub-status was assigned.
- assigned_
by_ intuser_ id - incident_
id str
- assigned
At String - sub
Status StringId - Note: To change an incident's sub-status, use the PATCH /incidents/:id endpoint and set the substatusid attribute. This endpoint is for modifying the timestamp of when an incident's sub-status was assigned.
- assigned
By NumberUser Id - incident
Id String
Outputs
All input properties are implicitly available as output properties. Additionally, the IncidentSubStatus resource produces the following output properties:
- Id string
- The provider-assigned unique ID for this managed resource.
- Id string
- The provider-assigned unique ID for this managed resource.
- id String
- The provider-assigned unique ID for this managed resource.
- id string
- The provider-assigned unique ID for this managed resource.
- id str
- The provider-assigned unique ID for this managed resource.
- id String
- The provider-assigned unique ID for this managed resource.
Look up Existing IncidentSubStatus Resource
Get an existing IncidentSubStatus resource’s state with the given name, ID, and optional extra properties used to qualify the lookup.
public static get(name: string, id: Input<ID>, state?: IncidentSubStatusState, opts?: CustomResourceOptions): IncidentSubStatus@staticmethod
def get(resource_name: str,
id: str,
opts: Optional[ResourceOptions] = None,
assigned_at: Optional[str] = None,
assigned_by_user_id: Optional[int] = None,
incident_id: Optional[str] = None,
sub_status_id: Optional[str] = None) -> IncidentSubStatusfunc GetIncidentSubStatus(ctx *Context, name string, id IDInput, state *IncidentSubStatusState, opts ...ResourceOption) (*IncidentSubStatus, error)public static IncidentSubStatus Get(string name, Input<string> id, IncidentSubStatusState? state, CustomResourceOptions? opts = null)public static IncidentSubStatus get(String name, Output<String> id, IncidentSubStatusState state, CustomResourceOptions options)resources: _: type: rootly:IncidentSubStatus get: id: ${id}- name
- The unique name of the resulting resource.
- id
- The unique provider ID of the resource to lookup.
- state
- Any extra arguments used during the lookup.
- opts
- A bag of options that control this resource's behavior.
- resource_name
- The unique name of the resulting resource.
- id
- The unique provider ID of the resource to lookup.
- name
- The unique name of the resulting resource.
- id
- The unique provider ID of the resource to lookup.
- state
- Any extra arguments used during the lookup.
- opts
- A bag of options that control this resource's behavior.
- name
- The unique name of the resulting resource.
- id
- The unique provider ID of the resource to lookup.
- state
- Any extra arguments used during the lookup.
- opts
- A bag of options that control this resource's behavior.
- name
- The unique name of the resulting resource.
- id
- The unique provider ID of the resource to lookup.
- state
- Any extra arguments used during the lookup.
- opts
- A bag of options that control this resource's behavior.
- Assigned
At string - Assigned
By intUser Id - Incident
Id string - Sub
Status stringId - Note: To change an incident's sub-status, use the PATCH /incidents/:id endpoint and set the substatusid attribute. This endpoint is for modifying the timestamp of when an incident's sub-status was assigned.
- Assigned
At string - Assigned
By intUser Id - Incident
Id string - Sub
Status stringId - Note: To change an incident's sub-status, use the PATCH /incidents/:id endpoint and set the substatusid attribute. This endpoint is for modifying the timestamp of when an incident's sub-status was assigned.
- assigned
At String - assigned
By IntegerUser Id - incident
Id String - sub
Status StringId - Note: To change an incident's sub-status, use the PATCH /incidents/:id endpoint and set the substatusid attribute. This endpoint is for modifying the timestamp of when an incident's sub-status was assigned.
- assigned
At string - assigned
By numberUser Id - incident
Id string - sub
Status stringId - Note: To change an incident's sub-status, use the PATCH /incidents/:id endpoint and set the substatusid attribute. This endpoint is for modifying the timestamp of when an incident's sub-status was assigned.
- assigned_
at str - assigned_
by_ intuser_ id - incident_
id str - sub_
status_ strid - Note: To change an incident's sub-status, use the PATCH /incidents/:id endpoint and set the substatusid attribute. This endpoint is for modifying the timestamp of when an incident's sub-status was assigned.
- assigned
At String - assigned
By NumberUser Id - incident
Id String - sub
Status StringId - Note: To change an incident's sub-status, use the PATCH /incidents/:id endpoint and set the substatusid attribute. This endpoint is for modifying the timestamp of when an incident's sub-status was assigned.
Import
rootly.IncidentSubStatus can be imported using the import command.
$ pulumi import rootly:index/incidentSubStatus:IncidentSubStatus primary a816421c-6ceb-481a-87c4-585e47451f24
Or using an import block.
Locate the resource id in the web app, or retrieve it by listing resources through the API if it’s not visible in the web app.
HCL can be generated from the import block using the -generate-config-out flag.
pulumi preview -generate-config-out=generated.tf
To learn more about importing existing cloud resources, see Importing resources.
Package Details
- Repository
- rootly rootlyhq/pulumi-rootly
- License
- Apache-2.0
- Notes
- This Pulumi package is based on the
rootlyTerraform Provider.
published on Thursday, May 7, 2026 by rootlyhq
